Skip to content
Snippets Groups Projects
Commit 0b2d8ad6 authored by Paul McCarthy's avatar Paul McCarthy :mountain_bicyclist:
Browse files

MNT: Initial copy of Chris Rorden's gpu_test

parent 6b501095
No related branches found
No related tags found
1 merge request!32Mnt/chris rorden gpu test
Showing
with 429 additions and 0 deletions
BSD 2-Clause License
Copyright (c) 2019, Chris Rorden
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
Cloned from https://github.com/neurolabusc/gpu_test/ on 22nd October 2021
Commit: ff28eeb7f906564c67801f143a9a1da6e979a171
## About
Graphics cards (GPU) can dramatically accelerate some stages of brain imaging processing. In particular, the FSL tools Bedpostx, Eddy and Probtrackx are all commonly used for diffusion analyses and can be dramatically accelerations using an NVidia GPU that supports the CUDA language. While the performance benefits are huge, setting up these systems can be tricky. This repository contains minimal datasets and scripts for testing these tools.
These sample datasets are only designed to validate the installation of these tools. They are not designed to showcase the performance benefits of GPU acceleration. Specifically, the datasets are designed to be small allowing for fast download and testing. Typical datasets are much larger and more computationally intensive. Several of these tests are probably constrained by memory speeds or the required CPU-based serial processing stages that precede and follow the parallel processing of the GPU.
## Scripts
* btest for [CUDA accelerated Bedpostx](https://users.fmrib.ox.ac.uk/~moisesf/Bedpostx_GPU/)
* The script `runme_gpu.sh` will run `Bedpostx_GPU`.
* If the script fails to run, make sure your version of Bedpostx_GPU matches your version of [CUDA](https://users.fmrib.ox.ac.uk/~moisesf/Bedpostx_GPU/Installation.html).
* etest for [CUDA accelerated Eddy](https://fsl.fmrib.ox.ac.uk/fsl/fslwiki/eddy/UsersGuide#The_eddy_executables)
* Since there are different versions of Eddy for different generations of CUDA (e.g. `eddy_cuda9.1` only works with CUDA 9.1), the shell script assumes that the executable sym-link `eddy_cuda` exists. In theory, the FSL installer should create this for you, but this requires CUDA is setup prior to installing FSL. If this is not the case, this repository includes the installer script from FSL 6.0.4, which you can run `sudo ./configure_eddy.sh -f /usr/local/fsl`. In my experience, this can fail if you have multiple versions of CUDA installed. As an alternative, I include the script `configure_eddy_cr.sh` which you can run (e.g. `./configure_eddy.sh`) and it will suggest a command you can run to create the symbolic link (e.g. `sudo ln -s /usr/local/fsl/bin/eddy_cuda9.1 /usr/local/fsl/bin/eddy_cuda`.
* ptest for [CUDA accelerated Probtrackx](https://users.fmrib.ox.ac.uk/~moisesf/Probtrackx_GPU/index.html)
* The script `runme_gpu.sh` will run `Probtrackx_GPU`.
* If the script fails to run, make sure your version of Probtrackx_GPU matches your version of [CUDA](https://users.fmrib.ox.ac.uk/~moisesf/Probtrackx_GPU/Installation.html).
## Lines
* [nii_preprocess](https://github.com/neurolabusc/nii_preprocess) leverages these GPU tools for processing datasets.
0 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000 1000
0 0.99728941917419 0.52904087305069 0.09871383756399 0.57234114408493 0.29827025532722 0.91768813133239 0.74880933761596 0.20680364966392 0.90815126895904 0.52029657363891 0.37823864817619 0.50694638490676 0.54456895589828 0.64912503957748 0.51406991481781 0.83672642707824 0.92631632089614 0.35351040959358 0.14325453341007 0.76561915874481 0.49386376142501 0.7420095205307 0.93124419450759 0.18586841225624 -0.03146285563707 0.20657055079937 0.75862318277359 0.23452313244342 0.10333918780088 0.86848974227905 0.50137621164321 0.45120280981063 0.23461484909057 0.4041798710823 0.96193838119506 0.97203999757766 0.44904622435569 0.77852296829223 0.66199326515197 0.74761569499969 0.7154301404953 0.19648967683315 0.78184801340103 0.15366122126579 0.54266482591629 0.16201771795749 0.56601321697235 0.85948431491851 0.3078239262104 0.11971329897642 0.71542114019393 0.47409933805465 0.45725721120834 0.10556537657976 0.40082722902298 0.35262700915336 0.76099181175232 0.2868360877037 0.52904081344604 0.02763943001627 0.62969535589218 0.21067586541175 0.69069749116897 0.26768442988395
0 -0.00284734903834 0.54523473978042 -0.64571571350097 -0.78070503473281 0.57210594415664 0.28155618906021 0.10069078207016 0.91472393274307 0.125328540802 -0.83553123474121 -0.82737815380096 -0.59940773248672 0.43447801470756 -0.65295654535293 0.06433679163456 0.53488200902938 -0.0186282005161 -0.50233364105224 -0.95033121109008 -0.43020704388618 0.8316284418106 -0.18899129331111 -0.24715395271778 0.75504666566848 0.12521325051784 -0.96539360284805 -0.61595100164413 -0.3140489757061 -0.77043581008911 0.40901958942413 -0.27910241484642 -0.09887818247079 0.15439313650131 0.18404148519039 0.27008816599845 -0.19787248969078 -0.8920806646347 -0.62485659122467 0.37998265027999 0.01863939128816 0.55868577957153 0.76543349027633 -0.36119017004966 -0.79607605934143 -0.62811416387558 0.39589694142341 0.80716812610626 -0.44485068321228 -0.60491567850112 -0.44497448205947 0.69407498836517 0.71679997444152 0.66466253995895 0.47108420729637 0.38376227021217 -0.83495903015136 0.2862249314785 0.90578305721283 0.54523473978042 -0.92563557624816 -0.26545673608779 -0.20174457132816 0.59173023700714 0.96348702907562
0 -0.07352346181869 -0.65025752782821 0.75717025995254 -0.2508490383625 0.76402199268341 0.28031155467033 -0.65509229898452 -0.34714895486831 -0.39944213628768 0.17657575011253 0.41518783569335 0.61944794654846 0.71740752458572 0.39023640751838 -0.85533207654953 0.117431178689 0.3762859404087 0.78910791873931 0.27631270885467 -0.47827732563018 -0.25395408272743 -0.64319837093353 -0.26776704192161 -0.62877458333969 -0.99163085222244 -0.15919750928878 -0.21235628426075 0.91998487710952 -0.62908637523651 -0.28005090355873 -0.81897729635238 0.88692677021026 -0.9597492814064 0.89597284793853 -0.04155653342604 0.12643052637577 -0.05049291998148 0.05878961458802 -0.64604806900024 0.66386997699737 0.41955921053886 0.61278331279754 0.5081883072853 0.58536410331726 -0.55766254663467 0.90388929843902 0.16765642166137 0.25178271532058 -0.73438507318496 -0.88750571012497 -0.0802029967308 0.5112999677658 -0.59088027477264 -0.87574863433837 -0.83190387487411 -0.42248976230621 0.58220851421356 0.31190073490142 -0.65025752782821 -0.37740540504455 0.73007977008819 -0.95651179552078 -0.41568294167518 0.00614986103028
File added
File added
#!/bin/bash
for i in $*;
do
params=" $params $i"
done
exe=dcm2niix
$exe -i y $params
#!/bin/bash
pushd `dirname $0` > /dev/null
SCRIPTPATH=`pwd -P`
popd > /dev/null
BEDPOSTDIR=$SCRIPTPATH/bedpost
BEDPOSTOUTDIR=$BEDPOSTDIR.bedpostX
rm -rf $BEDPOSTOUTDIR
time bedpostx_gpu $BEDPOSTDIR
\ No newline at end of file
#!/bin/bash
pushd `dirname $0` > /dev/null
SCRIPTPATH=`pwd -P`
popd > /dev/null
BEDPOSTDIR=$SCRIPTPATH/bedpost
BEDPOSTOUTDIR=$BEDPOSTDIR.bedpostX
rm -rf $BEDPOSTOUTDIR
echo "fsl_sub running $COMMANDNAME with parallel processing disabled"
FSLPARALLEL=0
#time bedpostx $BEDPOSTDIR
rm -rf $BEDPOSTOUTDIR
echo "fsl_sub running $COMMANDNAME with parallel processing enabled"
FSLPARALLEL=1
time bedpostx $BEDPOSTDIR
#!/usr/bin/env bash
#
# This script configures eddy based on the current system (cuda found or not)
#
# Call with -f <FSLDIR path>, e.g. /usr/local/fsl (will use FSLDIR if given
# no arguments)
platform=`uname -s`
# Where is this script?
script_dir=$( cd $(dirname $0) ; pwd)
script_name=${0##*/}
# Set some defaults
OPTIND=1
fsl_dir=""
quiet=0
dryrun=0
dropprivileges=0
OLDIFS=$IFS
# Have we been called by sudo?
if [ ! -z "${SUDO_UID}" ]; then
dropprivileges=1
fi
function syntax {
echo "$script_name [-f <FSLDIR>] [-q] [-d]"
echo " -f <FSLDIR> Location of installed FSL, e.g. /usr/local/fsl"
echo " if not provided looks for FSLDIR in environment"
echo " -q Install quietly"
echo " -d Dry run. Does not actually make symlinks"
}
while getopts "h?qdf:" opt; do
case "${opt}" in
h|\?)
syntax
exit 0
;;
q) quiet=1
;;
f) fsl_dir=${OPTARG}
;;
d) dryrun=1
;;
esac
done
shift $((OPTIND-1))
[ "$1" = "--" ] && shift
if [ -z "${fsl_dir}" ]; then
if [ -z "${FSLDIR}" ]; then
echo "Error - FSLDIR not given as an argument and \$FSLDIR not set!" >&2
exit 1
else
fsl_dir=${FSLDIR}
fi
fi
if [ ! -e "${fsl_dir}/bin" ]; then
echo "Error - ${fsl_dir}/bin does not exist!" >&2
exit 1
fi
if [ ! -w "${fsl_dir}" ]; then
echo "Error - cannot write to ${fsl_dir}!" >&2
exit 1
fi
if [ ! -w "${fsl_dir}/bin" ]; then
echo "Error - cannot write to ${fsl_dir}/bin!" >&2
exit 1
fi
if [ ! -e "${fsl_dir}/etc/fslversion" ]; then
echo "${fsl_dir} doesn't look like an FSL installation folder!" >&2
exit 1
fi
function drop_sudo {
if [ ${dropprivileges} -eq 1 ]; then
sudo -u \#${SUDO_UID} "$@"
if [ $? -eq 1 ]; then
sudo -u \#${SUDO_UID} -g \#${SUDO_GID} "$@"
fi
else
"$@"
fi
}
#####################################
# Configure eddy
#####################################
# If Darwin (macOS) then no need to configure eddy_openmp or eddy_cuda
if [ "$platform" = "Darwin" ]; then
exit 0
fi
# If Linux, run the following configuration steps:
# check if no eddy, but eddy_openmp exists, then link to eddy
if [ ! -f "${fsl_dir}/bin/eddy" ]; then
if [ -f "${fsl_dir}/bin/eddy_openmp" ]; then
if [[ dryrun -eq 0 ]]
then
ln -sf ${fsl_dir}/bin/eddy_openmp ${fsl_dir}/bin/eddy
else
echo "would do: ln -sf ${fsl_dir}/bin/eddy_openmp ${fsl_dir}/bin/eddy"
fi
fi
fi
# does eddy_cuda exist?
if [ -f "${fsl_dir}/bin/eddy_cuda" ]; then
exit 0
else
# list installed fsl eddy_cuda versions (puts versions into array)
eddycudas=($(ls -d ${fsl_dir}/bin/eddy_cuda*))
if [ -z "$eddycudas" ]
then
exit 0
fi
# List installed cuda versions in /opt/cuda* (put into array)
ls -d /opt/cuda* > /dev/null 2>&1
if [ $? -eq 0 ]
then
syscudas=($(ls -d /opt/cuda* | sort -V))
else
ls -d /usr/local/cuda* > /dev/null 2>&1
if [ $? -eq 0 ]
then
syscudas=($(ls -d /usr/local/cuda* | sort -V))
else
exit 0
fi
fi
if [ -z "$syscudas" ]
then
exit 0
fi
# loop through eddy_cuda versions found
for eddycudaversionstring in "${eddycudas[@]}"
do
# parse full path string into parts separated by "/"
IFS='/' read -r -a parts <<< "$eddycudaversionstring"
# get the last part
len=${#parts[@]}
i=$((len-1))
fslcudastring="${parts[$i]}"
IFS=$OLDIFS
# parse again to get version string
IFS='eddy_cuda' read -a verstring <<< "$fslcudastring"
len=${#verstring[@]}
i=$((len-1))
fslcudaver="${verstring[$i]}"
IFS=$OLDIFS
for syscudaversionstring in "${syscudas[@]}"
do
# parse full path string into parts separated by "/"
IFS='/' read -a parts <<< "$syscudaversionstring"
# get the last part
len=${#parts[@]}
i=$((len-1))
syscudastring="${parts[$i]}"
IFS=$OLDIFS
# parse again to get version string
IFS='-' read -a verstring <<< "$syscudastring"
len=${#verstring[@]}
i=$((len-1))
syscudaver="${verstring[$i]}"
IFS=$OLDIFS
# if version strings are equal, we know that the user has version X available, so we can link to version X for eddy_cuda
if [ "$fslcudaver" == "$syscudaver" ]; then
if [[ dryrun -eq 0 ]]
then
ln -sf ${fsl_dir}/bin/eddy_cuda$fslcudaver ${fsl_dir}/bin/eddy_cuda
else
echo "would do: ln -sf ${fsl_dir}/bin/eddy_cuda$fslcudaver ${fsl_dir}/bin/eddy_cuda"
fi
fi
done
done
fi
#!/bin/bash
fnm=/usr/local/cuda/version.txt
if [ ! -f $fnm ]; then
echo "CUDA not installed: unable to find '$fnm'"
exit 1
fi
value=`cat $fnm`
#value = "CUDA Version 10.1.243"
# echo "$value"
var2=${value##* }
#var2= "10.1.243" or "10.1"
dots="${var2//[^.]}"
dots=${#dots}
if [[ "$dots" -eq 2 ]]; then
# "10.1.221" -> "10.1"
var2=${var2%.*}
fi
#var2 = "10.1"
exe=eddy_cuda$var2
pth=$(which $exe)
if [ -z "$pth" ]; then
echo "CUDA version not supported: unable to find '$exe'"
exit 1
fi
# echo "Executing '$exe'"
# $exe "$@"
echo Run the following command:
echo sudo ln -s $pth $(dirname $pth)/eddy_cuda
0 1000 1000 1000 1000 1000 995 1000 1000 1000 0 1000 995 1000 995 1000 1000 995 1000 1000 0 995 1000 1000 1000 1000 995 995 1000 1000 0 1000 1000 1000 1000 1000 995 1000 1000 995 0
0 0.0488851 0.725485 -0.682614 0.844537 -0.729888 -0.0513232 -0.0183529 -0.444238 -0.989383 0 -0.470038 0.412129 -0.551845 -0.123275 -0.848912 -0.340757 0.361164 -0.472463 -0.856466 0 0.797389 0.466211 0.0130422 0.882785 0.0166147 -0.442765 0.365204 0.976815 -0.405789 0 -0.627569 -0.353732 -0.65789 0.422267 0.212124 0.911878 -0.311432 0.678253 0.135593 0
0 -0.923381 0.292673 0.246421 -0.503865 -0.6229 0.0514389 0.864488 0.503981 -0.0872866 0 -0.852204 0.4102 0.786223 -0.466669 0.147696 -0.793793 -0.520498 0.852957 -0.478704 0 0.169292 -0.0197333 0.99751 -0.384307 -0.545775 -0.64375 -0.0468793 -0.00673674 -0.903931 0 0.620526 0.764864 -0.478923 0.311514 -0.760891 -0.0995048 0.946037 0.62718 -0.274471 0
0 0.380758 0.622908 0.687979 0.181324 0.28153 -0.997357 0.502318 -0.740713 0.116196 0 -0.229808 -0.813564 0.278065 -0.875798 -0.507479 0.503764 -0.77372 -0.221906 -0.193153 0 -0.579234 0.884453 0.0693107 -0.270183 0.837767 -0.624136 -0.929746 0.213978 0.13507 0 -0.470218 0.538384 0.581218 0.851264 0.613227 -0.398217 0.0895813 0.382909 -0.951987 0
File added
#!/bin/bash
eddyExeName=eddy_cuda
pth=$(which $eddyExeName)
if [ -z "$pth" ]; then
echo "CUDA version not supported (try running `configure_eddy.sh`): unable to find '$eddyExeName'"
exit 1
fi
dti=DTIap
if [ ! -e ${dti}.nii.gz ]; then
echo "Error: Unable to find ${dti}.nii.gz"
exit 1
fi
if ! hash $eddyExeName 2>/dev/null; then
echo "Error: Unable to find $eddyExeName"
exit 1
fi
dti_b=${dti}b #brain-extracted dti
dti_b0=${dti}b0
dti_u=${dti}u #undistorted dti
dti_bvec=${dti}.bvec
dti_bval=${dti}.bval
fslroi $dti $dti_b0 0 1
bet $dti_b0 $dti_b -f 0.2 -R -n -m
dti_b=${dti}b_mask #masked brain-extracted dti
#create acq_param: dummies as we will not run TOPUP
dti_txt=${dti}_acq_param.txt
printf "0 1 0 0.03388\n0 -1 0 0.03388\n" > $dti_txt
#create index files: all = 1 as we will not run TOPUP
dti_txt2=${dti}_index.txt
nvol=$(fslnvols $dti)
indx=""
for ((i=1; i<=nvol; i+=1)); do indx="$indx 1"; done
echo $indx > $dti_txt2
echo $eddyExeName --imain=$dti --mask=$dti_b --acqp=$dti_txt --index=$dti_txt2 --bvecs=$dti_bvec --bvals=$dti_bval --repol --out=$dti_u
time $eddyExeName --imain=$dti --mask=$dti_b --acqp=$dti_txt --index=$dti_txt2 --bvecs=$dti_bvec --bvals=$dti_bval --repol --out=$dti_u
0 1000 1000 1000 1000 1000 995 1000 1000 1000 0 1000 995 1000 995 1000 1000 995 1000 1000 0 995 1000 1000 1000 1000 995 995 1000 1000 0 1000 1000 1000 1000 1000 995 1000 1000 995 0 0 1000 1000 1000 1000 1000 995 1000 1000 1000 0 1000 995 1000 995 1000 1000 995 1000 1000 0 995 1000 1000 1000 1000 995 995 1000 1000 0 1000 1000 1000 1000 1000 995 1000 1000 995 0
0 0.01096898503601 0.7383199930191 -0.67035007476806 0.8230772614479 -0.75474786758422 -0.05109388753771 0.01881491765379 -0.42422875761985 -0.99193739891052 0 -0.50572627782821 0.427320510149 -0.51792514324188 -0.14441506564617 -0.84299027919769 -0.37266778945922 0.33754929900169 -0.43680822849273 -0.87591409683227 0 0.80262798070907 0.46672147512435 0.05489249899983 0.86540257930755 -0.00457663740962 -0.47036239504814 0.36108914017677 0.976098716259 -0.44297710061073 0 -0.60198980569839 -0.32036599516868 -0.67619895935058 0.43660604953765 0.18132029473781 0.90613085031509 -0.27140998840332 0.70464742183685 0.12211556732654 0 0 0.01096898503601 0.7383199930191 -0.67035007476806 0.8230772614479 -0.75474786758422 -0.05109388753771 0.01881491765379 -0.42422875761985 -0.99193739891052 0 -0.50572627782821 0.427320510149 -0.51792514324188 -0.14441506564617 -0.84299027919769 -0.37266778945922 0.33754929900169 -0.43680822849273 -0.87591409683227 0 0.80262798070907 0.46672147512435 0.05489249899983 0.86540257930755 -0.00457663740962 -0.47036239504814 0.36108914017677 0.976098716259 -0.44297710061073 0 -0.60198980569839 -0.32036599516868 -0.67619895935058 0.43660604953765 0.18132029473781 0.90613085031509 -0.27140998840332 0.70464742183685 0.12211556732654 0
0 -0.90567392110824 0.29102826118469 0.30689641833305 -0.52969533205032 -0.57784754037857 0.00654520094394 0.88718104362487 0.48672088980674 -0.04021335020661 0 -0.84164446592331 0.35383608937263 0.82085758447647 -0.50179988145828 0.15906697511673 -0.75423699617385 -0.57100319862365 0.86060374975204 -0.45144259929657 0 0.10830251127481 0.00240986747667 0.99824446439743 -0.43322655558586 -0.50595712661743 -0.65367954969406 -0.1058380305767 -0.03755722567439 -0.87878590822219 0 0.62344235181808 0.8034963607788 -0.42306667566299 0.33327719569206 -0.73940098285675 -0.15623475611209 0.96141511201858 0.61555325984954 -0.32440936565399 0 0 -0.90567392110824 0.29102826118469 0.30689641833305 -0.52969533205032 -0.57784754037857 0.00654520094394 0.88718104362487 0.48672088980674 -0.04021335020661 0 -0.84164446592331 0.35383608937263 0.82085758447647 -0.50179988145828 0.15906697511673 -0.75423699617385 -0.57100319862365 0.86060374975204 -0.45144259929657 0 0.10830251127481 0.00240986747667 0.99824446439743 -0.43322655558586 -0.50595712661743 -0.65367954969406 -0.1058380305767 -0.03755722567439 -0.87878590822219 0 0.62344235181808 0.8034963607788 -0.42306667566299 0.33327719569206 -0.73940098285675 -0.15623475611209 0.96141511201858 0.61555325984954 -0.32440936565399 0
0 0.42383298277854 0.60842925310134 0.67560738325119 0.2048577517271 0.31056052446365 -0.99867242574691 0.46103772521019 -0.7636312842369 0.12017915397882 0 -0.18940843641758 -0.8319838643074 0.24072043597698 -0.85284298658371 -0.51387268304824 0.54059720039367 -0.74834209680557 -0.26183930039405 -0.17021761834621 0 -0.58656531572341 0.88440108299255 0.02224463224411 -0.25178003311157 0.86254650354385 -0.59284251928329 -0.92650580406189 0.21405783295631 0.17750091850757 0 -0.49892681837081 0.50175619125366 0.60313314199447 0.83564436435699 0.64838963747024 -0.39308720827102 0.04491737484931 0.35293927788734 -0.93800127506256 0 0 0.42383298277854 0.60842925310134 0.67560738325119 0.2048577517271 0.31056052446365 -0.99867242574691 0.46103772521019 -0.7636312842369 0.12017915397882 0 -0.18940843641758 -0.8319838643074 0.24072043597698 -0.85284298658371 -0.51387268304824 0.54059720039367 -0.74834209680557 -0.26183930039405 -0.17021761834621 0 -0.58656531572341 0.88440108299255 0.02224463224411 -0.25178003311157 0.86254650354385 -0.59284251928329 -0.92650580406189 0.21405783295631 0.17750091850757 0 -0.49892681837081 0.50175619125366 0.60313314199447 0.83564436435699 0.64838963747024 -0.39308720827102 0.04491737484931 0.35293927788734 -0.93800127506256 0
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 0 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 1 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 2 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 3 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 4 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 5 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 6 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 7 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 8 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 9 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 10 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 11 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 12 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 13 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 14 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 15 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 16 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 17 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 18 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 19 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 20 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 21 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 22 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 23 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 24 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 25 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 26 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 27 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 28 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 29 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 30 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 31 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 32 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 33 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 34 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 35 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 36 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 37 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 38 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 39 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 40 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 41 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 42 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 43 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 44 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 45 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 46 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 47 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 48 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
/usr/local/fsl/bin/bedpostx_single_slice.sh /home/crlab/Desktop/LM3/LM1045/bedpost 49 --nf=2 --fudge=1 --bi=1000 --nj=1250 --se=25 --model=1 --cnonlinear
File added
File added
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment